/*

Copyright (C) 2010 Timothy Pearson <kb9vqf@pearsoncomputing.net>

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.

*/

#include <tqt.h>
#include <tqcstring.h>

#ifdef USE_QT4

QByteArray::operator QByteArray *() const
{ return (QByteArray*)(d->data); }

#ifndef QT_NO_REGEXP

int Q3CString::contains( const QRegExp &rx ) const
{
    QString d = QString::fromAscii( data() );
    return d.count( rx );
}

Q3CString &Q3CString::replace( const QRegExp &rx, const char *str )
{
    QString d = QString::fromAscii( data() );
    QString r = QString::fromAscii( str );
    d.replace( rx, r );
    setStr( d.ascii() );
    return *this;
}

#endif //QT_NO_REGEXP

QByteArray QByteArray::copy() const {
    QByteArray copy(*this);
    copy.detach();
    return copy;
}

#endif // USE_QT4
